<?php
// This file was auto-generated from sdk-root/src/data/fms/2018-01-01/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>AWS Firewall Manager</fullname> <p>This is the <i>AWS Firewall Manager API Reference</i>. This guide is for developers who need detailed information about the AWS Firewall Manager API actions, data types, and errors. For detailed information about AWS Firewall Manager features, see the <a href="https://docs.aws.amazon.com/waf/latest/developerguide/fms-chapter.html">AWS Firewall Manager Developer Guide</a>.</p>', 'operations' => [ 'AssociateAdminAccount' => '<p>Sets the AWS Firewall Manager administrator account. AWS Firewall Manager must be associated with the master account of your AWS organization or associated with a member account that has the appropriate permissions. If the account ID that you submit is not an AWS Organizations master account, AWS Firewall Manager will set the appropriate permissions for the given member account.</p> <p>The account that you associate with AWS Firewall Manager is called the AWS Firewall Manager administrator account. </p>', 'DeleteNotificationChannel' => '<p>Deletes an AWS Firewall Manager association with the IAM role and the Amazon Simple Notification Service (SNS) topic that is used to record AWS Firewall Manager SNS logs.</p>', 'DeletePolicy' => '<p>Permanently deletes an AWS Firewall Manager policy. </p>', 'DisassociateAdminAccount' => '<p>Disassociates the account that has been set as the AWS Firewall Manager administrator account. To set a different account as the administrator account, you must submit an <code>AssociateAdminAccount</code> request.</p>', 'GetAdminAccount' => '<p>Returns the AWS Organizations master account that is associated with AWS Firewall Manager as the AWS Firewall Manager administrator.</p>', 'GetComplianceDetail' => '<p>Returns detailed compliance information about the specified member account. Details include resources that are in and out of compliance with the specified policy. Resources are considered noncompliant for AWS WAF and Shield Advanced policies if the specified policy has not been applied to them. Resources are considered noncompliant for security group policies if they are in scope of the policy, they violate one or more of the policy rules, and remediation is disabled or not possible. </p>', 'GetNotificationChannel' => '<p>Information about the Amazon Simple Notification Service (SNS) topic that is used to record AWS Firewall Manager SNS logs.</p>', 'GetPolicy' => '<p>Returns information about the specified AWS Firewall Manager policy.</p>', 'GetProtectionStatus' => '<p>If you created a Shield Advanced policy, returns policy-level attack summary information in the event of a potential DDoS attack. Other policy types are currently unsupported.</p>', 'ListComplianceStatus' => '<p>Returns an array of <code>PolicyComplianceStatus</code> objects in the response. Use <code>PolicyComplianceStatus</code> to get a summary of which member accounts are protected by the specified policy. </p>', 'ListMemberAccounts' => '<p>Returns a <code>MemberAccounts</code> object that lists the member accounts in the administrator\'s AWS organization.</p> <p>The <code>ListMemberAccounts</code> must be submitted by the account that is set as the AWS Firewall Manager administrator.</p>', 'ListPolicies' => '<p>Returns an array of <code>PolicySummary</code> objects in the response.</p>', 'ListTagsForResource' => '<p>Retrieves the list of tags for the specified AWS resource. </p>', 'PutNotificationChannel' => '<p>Designates the IAM role and Amazon Simple Notification Service (SNS) topic that AWS Firewall Manager uses to record SNS logs.</p>', 'PutPolicy' => '<p>Creates an AWS Firewall Manager policy.</p> <p>Firewall Manager provides the following types of policies: </p> <ul> <li> <p>A Shield Advanced policy, which applies Shield Advanced protection to specified accounts and resources</p> </li> <li> <p>An AWS WAF policy, which contains a rule group and defines which resources are to be protected by that rule group</p> </li> <li> <p>A security group policy, which manages VPC security groups across your AWS organization. </p> </li> </ul> <p>Each policy is specific to one of the three types. If you want to enforce more than one policy type across accounts, you can create multiple policies. You can create multiple policies for each type.</p> <p>You must be subscribed to Shield Advanced to create a Shield Advanced policy. For more information about subscribing to Shield Advanced, see <a href="https://docs.aws.amazon.com/waf/latest/DDOSAPIReference/API_CreateSubscription.html">CreateSubscription</a>.</p>', 'TagResource' => '<p>Adds one or more tags to an AWS resource.</p>', 'UntagResource' => '<p>Removes one or more tags from an AWS resource.</p>', ], 'shapes' => [ 'AWSAccountId' => [ 'base' => NULL, 'refs' => [ 'AssociateAdminAccountRequest$AdminAccount' => '<p>The AWS account ID to associate with AWS Firewall Manager as the AWS Firewall Manager administrator account. This can be an AWS Organizations master account or a member account. For more information about AWS Organizations and master accounts, see <a href="https://docs.aws.amazon.com/organizations/latest/userguide/orgs_manage_accounts.html">Managing the AWS Accounts in Your Organization</a>.</p>', 'GetAdminAccountResponse$AdminAccount' => '<p>The AWS account that is set as the AWS Firewall Manager administrator.</p>', 'GetComplianceDetailRequest$MemberAccount' => '<p>The AWS account that owns the resources that you want to get the details for.</p>', 'GetProtectionStatusRequest$MemberAccountId' => '<p>The AWS account that is in scope of the policy that you want to get the details for.</p>', 'GetProtectionStatusResponse$AdminAccountId' => '<p>The ID of the AWS Firewall administrator account for this policy.</p>', 'MemberAccounts$member' => NULL, 'PolicyComplianceDetail$PolicyOwner' => '<p>The AWS account that created the AWS Firewall Manager policy.</p>', 'PolicyComplianceDetail$MemberAccount' => '<p>The AWS account ID.</p>', 'PolicyComplianceStatus$PolicyOwner' => '<p>The AWS account that created the AWS Firewall Manager policy.</p>', 'PolicyComplianceStatus$MemberAccount' => '<p>The member account ID.</p>', ], ], 'AccountRoleStatus' => [ 'base' => NULL, 'refs' => [ 'GetAdminAccountResponse$RoleStatus' => '<p>The status of the AWS account that you set as the AWS Firewall Manager administrator.</p>', ], ], 'AssociateAdminAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'DeletePolicyRequest$DeleteAllPolicyResources' => '<p>If <code>True</code>, the request performs cleanup according to the policy type. </p> <p>For AWS WAF and Shield Advanced policies, the cleanup does the following:</p> <ul> <li> <p>Deletes rule groups created by AWS Firewall Manager</p> </li> <li> <p>Removes web ACLs from in-scope resources</p> </li> <li> <p>Deletes web ACLs that contain no rules or rule groups</p> </li> </ul> <p>For security group policies, the cleanup does the following for each security group in the policy:</p> <ul> <li> <p>Disassociates the security group from in-scope resources </p> </li> <li> <p>Deletes the security group if it was created through Firewall Manager and if it\'s no longer associated with any resources through another policy</p> </li> </ul> <p>After the cleanup, in-scope resources are no longer protected by web ACLs in this policy. Protection of out-of-scope resources remains unchanged. Scope is determined by tags that you create and accounts that you associate with the policy. When creating the policy, if you specify that only resources in specific accounts or with specific tags are in scope of the policy, those accounts and resources are handled by the policy. All others are out of scope. If you don\'t specify tags or accounts, all resources are in scope. </p>', 'EvaluationResult$EvaluationLimitExceeded' => '<p>Indicates that over 100 resources are noncompliant with the AWS Firewall Manager policy.</p>', 'Policy$ExcludeResourceTags' => '<p>If set to <code>True</code>, resources with the tags that are specified in the <code>ResourceTag</code> array are not in scope of the policy. If set to <code>False</code>, and the <code>ResourceTag</code> array is not null, only resources with the specified tags are in scope of the policy.</p>', 'Policy$RemediationEnabled' => '<p>Indicates if the policy should be automatically applied to new resources.</p>', 'PolicyComplianceDetail$EvaluationLimitExceeded' => '<p>Indicates if over 100 resources are noncompliant with the AWS Firewall Manager policy.</p>', 'PolicySummary$RemediationEnabled' => '<p>Indicates if the policy should be automatically applied to new resources.</p>', ], ], 'ComplianceViolator' => [ 'base' => '<p>Details of the resource that is not protected by the policy.</p>', 'refs' => [ 'ComplianceViolators$member' => NULL, ], ], 'ComplianceViolators' => [ 'base' => NULL, 'refs' => [ 'PolicyComplianceDetail$Violators' => '<p>An array of resources that aren\'t protected by the AWS WAF or Shield Advanced policy or that aren\'t in compliance with the security group policy.</p>', ], ], 'CustomerPolicyScopeId' => [ 'base' => NULL, 'refs' => [ 'CustomerPolicyScopeIdList$member' => NULL, ], ], 'CustomerPolicyScopeIdList' => [ 'base' => NULL, 'refs' => [ 'CustomerPolicyScopeMap$value' => NULL, ], ], 'CustomerPolicyScopeIdType' => [ 'base' => NULL, 'refs' => [ 'CustomerPolicyScopeMap$key' => NULL, ], ], 'CustomerPolicyScopeMap' => [ 'base' => NULL, 'refs' => [ 'Policy$IncludeMap' => '<p>Specifies the AWS account IDs to include in the policy. If <code>IncludeMap</code> is null, all accounts in the organization in AWS Organizations are included in the policy. If <code>IncludeMap</code> is not null, only values listed in <code>IncludeMap</code> are included in the policy.</p> <p>The key to the map is <code>ACCOUNT</code>. For example, a valid <code>IncludeMap</code> would be <code>{“ACCOUNT” : [“accountID1”, “accountID2”]}</code>.</p>', 'Policy$ExcludeMap' => '<p>Specifies the AWS account IDs to exclude from the policy. The <code>IncludeMap</code> values are evaluated first, with all the appropriate account IDs added to the policy. Then the accounts listed in <code>ExcludeMap</code> are removed, resulting in the final list of accounts to add to the policy.</p> <p>The key to the map is <code>ACCOUNT</code>. For example, a valid <code>ExcludeMap</code> would be <code>{“ACCOUNT” : [“accountID1”, “accountID2”]}</code>.</p>', ], ], 'DeleteNotificationChannelRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeletePolicyRequest' => [ 'base' => NULL, 'refs' => [], ], 'DependentServiceName' => [ 'base' => NULL, 'refs' => [ 'IssueInfoMap$key' => NULL, ], ], 'DetailedInfo' => [ 'base' => NULL, 'refs' => [ 'IssueInfoMap$value' => NULL, ], ], 'DisassociateAdminAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'InternalErrorException$Message' => NULL, 'InvalidInputException$Message' => NULL, 'InvalidOperationException$Message' => NULL, 'InvalidTypeException$Message' => NULL, 'LimitExceededException$Message' => NULL, 'ResourceNotFoundException$Message' => NULL, ], ], 'EvaluationResult' => [ 'base' => '<p>Describes the compliance status for the account. An account is considered noncompliant if it includes resources that are not protected by the specified policy or that don\'t comply with the policy.</p>', 'refs' => [ 'EvaluationResults$member' => NULL, ], ], 'EvaluationResults' => [ 'base' => NULL, 'refs' => [ 'PolicyComplianceStatus$EvaluationResults' => '<p>An array of <code>EvaluationResult</code> objects.</p>', ], ], 'GetAdminAccountRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetAdminAccountResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetComplianceDetailRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetComplianceDetailResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetNotificationChannelRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetNotificationChannelResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetPolicyRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetPolicyResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetProtectionStatusRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetProtectionStatusResponse' => [ 'base' => NULL, 'refs' => [], ], 'InternalErrorException' => [ 'base' => '<p>The operation failed because of a system problem, even though the request was valid. Retry your request.</p>', 'refs' => [], ], 'InvalidInputException' => [ 'base' => '<p>The parameters of the request were invalid.</p>', 'refs' => [], ], 'InvalidOperationException' => [ 'base' => '<p>The operation failed because there was nothing to do. For example, you might have submitted an <code>AssociateAdminAccount</code> request, but the account ID that you submitted was already set as the AWS Firewall Manager administrator.</p>', 'refs' => [], ], 'InvalidTypeException' => [ 'base' => '<p>The value of the <code>Type</code> parameter is invalid.</p>', 'refs' => [], ], 'IssueInfoMap' => [ 'base' => NULL, 'refs' => [ 'PolicyComplianceDetail$IssueInfoMap' => '<p>Details about problems with dependent services, such as AWS WAF or AWS Config, that are causing a resource to be noncompliant. The details include the name of the dependent service and the error message received that indicates the problem with the service.</p>', 'PolicyComplianceStatus$IssueInfoMap' => '<p>Details about problems with dependent services, such as AWS WAF or AWS Config, that are causing a resource to be noncompliant. The details include the name of the dependent service and the error message received that indicates the problem with the service.</p>', ], ], 'LimitExceededException' => [ 'base' => '<p>The operation exceeds a resource limit, for example, the maximum number of <code>policy</code> objects that you can create for an AWS account. For more information, see <a href="https://docs.aws.amazon.com/waf/latest/developerguide/fms-limits.html">Firewall Manager Limits</a> in the <i>AWS WAF Developer Guide</i>.</p>', 'refs' => [], ], 'ListComplianceStatusRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListComplianceStatusResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListMemberAccountsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListMemberAccountsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListPoliciesRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListPoliciesResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'ManagedServiceData' => [ 'base' => NULL, 'refs' => [ 'SecurityServicePolicyData$ManagedServiceData' => '<p>Details about the service that are specific to the service type, in JSON format. For service type <code>SHIELD_ADVANCED</code>, this is an empty string.</p> <ul> <li> <p>Example: <code>WAF</code> </p> <p> <code>ManagedServiceData": "{\\"type\\": \\"WAF\\", \\"ruleGroups\\": [{\\"id\\": \\"12345678-1bcd-9012-efga-0987654321ab\\", \\"overrideAction\\" : {\\"type\\": \\"COUNT\\"}}], \\"defaultAction\\": {\\"type\\": \\"BLOCK\\"}}</code> </p> </li> <li> <p>Example: <code>SECURITY_GROUPS_COMMON</code> </p> <p> <code>"SecurityServicePolicyData":{"Type":"SECURITY_GROUPS_COMMON","ManagedServiceData":"{\\"type\\":\\"SECURITY_GROUPS_COMMON\\",\\"revertManualSecurityGroupChanges\\":false,\\"exclusiveResourceSecurityGroupManagement\\":false,\\"securityGroups\\":[{\\"id\\":\\" sg-000e55995d61a06bd\\"}]}"},"RemediationEnabled":false,"ResourceType":"AWS::EC2::NetworkInterface"}</code> </p> </li> <li> <p>Example: <code>SECURITY_GROUPS_CONTENT_AUDIT</code> </p> <p> <code>"SecurityServicePolicyData":{"Type":"SECURITY_GROUPS_CONTENT_AUDIT","ManagedServiceData":"{\\"type\\":\\"SECURITY_GROUPS_CONTENT_AUDIT\\",\\"securityGroups\\":[{\\"id\\":\\" sg-000e55995d61a06bd \\"}],\\"securityGroupAction\\":{\\"type\\":\\"ALLOW\\"}}"},"RemediationEnabled":false,"ResourceType":"AWS::EC2::NetworkInterface"}</code> </p> <p>The security group action for content audit can be <code>ALLOW</code> or <code>DENY</code>. For <code>ALLOW</code>, all in-scope security group rules must be within the allowed range of the policy\'s security group rules. For <code>DENY</code>, all in-scope security group rules must not contain a value or a range that matches a rule value or range in the policy security group.</p> </li> <li> <p>Example: <code>SECURITY_GROUPS_USAGE_AUDIT</code> </p> <p> <code>"SecurityServicePolicyData":{"Type":"SECURITY_GROUPS_USAGE_AUDIT","ManagedServiceData":"{\\"type\\":\\"SECURITY_GROUPS_USAGE_AUDIT\\",\\"deleteUnusedSecurityGroups\\":true,\\"coalesceRedundantSecurityGroups\\":true}"},"RemediationEnabled":false,"Resou rceType":"AWS::EC2::SecurityGroup"}</code> </p> </li> </ul>', ], ], 'MemberAccounts' => [ 'base' => NULL, 'refs' => [ 'ListMemberAccountsResponse$MemberAccounts' => '<p>An array of account IDs.</p>', ], ], 'PaginationMaxResults' => [ 'base' => NULL, 'refs' => [ 'GetProtectionStatusRequest$MaxResults' => '<p>Specifies the number of objects that you want AWS Firewall Manager to return for this request. If you have more objects than the number that you specify for <code>MaxResults</code>, the response includes a <code>NextToken</code> value that you can use to get another batch of objects.</p>', 'ListComplianceStatusRequest$MaxResults' => '<p>Specifies the number of <code>PolicyComplianceStatus</code> objects that you want AWS Firewall Manager to return for this request. If you have more <code>PolicyComplianceStatus</code> objects than the number that you specify for <code>MaxResults</code>, the response includes a <code>NextToken</code> value that you can use to get another batch of <code>PolicyComplianceStatus</code> objects.</p>', 'ListMemberAccountsRequest$MaxResults' => '<p>Specifies the number of member account IDs that you want AWS Firewall Manager to return for this request. If you have more IDs than the number that you specify for <code>MaxResults</code>, the response includes a <code>NextToken</code> value that you can use to get another batch of member account IDs.</p>', 'ListPoliciesRequest$MaxResults' => '<p>Specifies the number of <code>PolicySummary</code> objects that you want AWS Firewall Manager to return for this request. If you have more <code>PolicySummary</code> objects than the number that you specify for <code>MaxResults</code>, the response includes a <code>NextToken</code> value that you can use to get another batch of <code>PolicySummary</code> objects.</p>', ], ], 'PaginationToken' => [ 'base' => NULL, 'refs' => [ 'GetProtectionStatusRequest$NextToken' => '<p>If you specify a value for <code>MaxResults</code> and you have more objects than the number that you specify for <code>MaxResults</code>, AWS Firewall Manager returns a <code>NextToken</code> value in the response, which you can use to retrieve another group of objects. For the second and subsequent <code>GetProtectionStatus</code> requests, specify the value of <code>NextToken</code> from the previous response to get information about another batch of objects.</p>', 'GetProtectionStatusResponse$NextToken' => '<p>If you have more objects than the number that you specified for <code>MaxResults</code> in the request, the response includes a <code>NextToken</code> value. To list more objects, submit another <code>GetProtectionStatus</code> request, and specify the <code>NextToken</code> value from the response in the <code>NextToken</code> value in the next request.</p> <p>AWS SDKs provide auto-pagination that identify <code>NextToken</code> in a response and make subsequent request calls automatically on your behalf. However, this feature is not supported by <code>GetProtectionStatus</code>. You must submit subsequent requests with <code>NextToken</code> using your own processes. </p>', 'ListComplianceStatusRequest$NextToken' => '<p>If you specify a value for <code>MaxResults</code> and you have more <code>PolicyComplianceStatus</code> objects than the number that you specify for <code>MaxResults</code>, AWS Firewall Manager returns a <code>NextToken</code> value in the response that allows you to list another group of <code>PolicyComplianceStatus</code> objects. For the second and subsequent <code>ListComplianceStatus</code> requests, specify the value of <code>NextToken</code> from the previous response to get information about another batch of <code>PolicyComplianceStatus</code> objects.</p>', 'ListComplianceStatusResponse$NextToken' => '<p>If you have more <code>PolicyComplianceStatus</code> objects than the number that you specified for <code>MaxResults</code> in the request, the response includes a <code>NextToken</code> value. To list more <code>PolicyComplianceStatus</code> objects, submit another <code>ListComplianceStatus</code> request, and specify the <code>NextToken</code> value from the response in the <code>NextToken</code> value in the next request.</p>', 'ListMemberAccountsRequest$NextToken' => '<p>If you specify a value for <code>MaxResults</code> and you have more account IDs than the number that you specify for <code>MaxResults</code>, AWS Firewall Manager returns a <code>NextToken</code> value in the response that allows you to list another group of IDs. For the second and subsequent <code>ListMemberAccountsRequest</code> requests, specify the value of <code>NextToken</code> from the previous response to get information about another batch of member account IDs.</p>', 'ListMemberAccountsResponse$NextToken' => '<p>If you have more member account IDs than the number that you specified for <code>MaxResults</code> in the request, the response includes a <code>NextToken</code> value. To list more IDs, submit another <code>ListMemberAccounts</code> request, and specify the <code>NextToken</code> value from the response in the <code>NextToken</code> value in the next request.</p>', 'ListPoliciesRequest$NextToken' => '<p>If you specify a value for <code>MaxResults</code> and you have more <code>PolicySummary</code> objects than the number that you specify for <code>MaxResults</code>, AWS Firewall Manager returns a <code>NextToken</code> value in the response that allows you to list another group of <code>PolicySummary</code> objects. For the second and subsequent <code>ListPolicies</code> requests, specify the value of <code>NextToken</code> from the previous response to get information about another batch of <code>PolicySummary</code> objects.</p>', 'ListPoliciesResponse$NextToken' => '<p>If you have more <code>PolicySummary</code> objects than the number that you specified for <code>MaxResults</code> in the request, the response includes a <code>NextToken</code> value. To list more <code>PolicySummary</code> objects, submit another <code>ListPolicies</code> request, and specify the <code>NextToken</code> value from the response in the <code>NextToken</code> value in the next request.</p>', ], ], 'Policy' => [ 'base' => '<p>An AWS Firewall Manager policy.</p>', 'refs' => [ 'GetPolicyResponse$Policy' => '<p>Information about the specified AWS Firewall Manager policy.</p>', 'PutPolicyRequest$Policy' => '<p>The details of the AWS Firewall Manager policy to be created.</p>', 'PutPolicyResponse$Policy' => '<p>The details of the AWS Firewall Manager policy that was created.</p>', ], ], 'PolicyComplianceDetail' => [ 'base' => '<p>Describes the noncompliant resources in a member account for a specific AWS Firewall Manager policy. A maximum of 100 entries are displayed. If more than 100 resources are noncompliant, <code>EvaluationLimitExceeded</code> is set to <code>True</code>.</p>', 'refs' => [ 'GetComplianceDetailResponse$PolicyComplianceDetail' => '<p>Information about the resources and the policy that you specified in the <code>GetComplianceDetail</code> request.</p>', ], ], 'PolicyComplianceStatus' => [ 'base' => '<p>Indicates whether the account is compliant with the specified policy. An account is considered noncompliant if it includes resources that are not protected by the policy, for AWS WAF and Shield Advanced policies, or that are noncompliant with the policy, for security group policies.</p>', 'refs' => [ 'PolicyComplianceStatusList$member' => NULL, ], ], 'PolicyComplianceStatusList' => [ 'base' => NULL, 'refs' => [ 'ListComplianceStatusResponse$PolicyComplianceStatusList' => '<p>An array of <code>PolicyComplianceStatus</code> objects.</p>', ], ], 'PolicyComplianceStatusType' => [ 'base' => NULL, 'refs' => [ 'EvaluationResult$ComplianceStatus' => '<p>Describes an AWS account\'s compliance with the AWS Firewall Manager policy.</p>', ], ], 'PolicyId' => [ 'base' => NULL, 'refs' => [ 'DeletePolicyRequest$PolicyId' => '<p>The ID of the policy that you want to delete. <code>PolicyId</code> is returned by <code>PutPolicy</code> and by <code>ListPolicies</code>.</p>', 'GetComplianceDetailRequest$PolicyId' => '<p>The ID of the policy that you want to get the details for. <code>PolicyId</code> is returned by <code>PutPolicy</code> and by <code>ListPolicies</code>.</p>', 'GetPolicyRequest$PolicyId' => '<p>The ID of the AWS Firewall Manager policy that you want the details for.</p>', 'GetProtectionStatusRequest$PolicyId' => '<p>The ID of the policy for which you want to get the attack information.</p>', 'ListComplianceStatusRequest$PolicyId' => '<p>The ID of the AWS Firewall Manager policy that you want the details for.</p>', 'Policy$PolicyId' => '<p>The ID of the AWS Firewall Manager policy.</p>', 'PolicyComplianceDetail$PolicyId' => '<p>The ID of the AWS Firewall Manager policy.</p>', 'PolicyComplianceStatus$PolicyId' => '<p>The ID of the AWS Firewall Manager policy.</p>', 'PolicySummary$PolicyId' => '<p>The ID of the specified policy.</p>', ], ], 'PolicySummary' => [ 'base' => '<p>Details of the AWS Firewall Manager policy. </p>', 'refs' => [ 'PolicySummaryList$member' => NULL, ], ], 'PolicySummaryList' => [ 'base' => NULL, 'refs' => [ 'ListPoliciesResponse$PolicyList' => '<p>An array of <code>PolicySummary</code> objects.</p>', ], ], 'PolicyUpdateToken' => [ 'base' => NULL, 'refs' => [ 'Policy$PolicyUpdateToken' => '<p>A unique identifier for each update to the policy. When issuing a <code>PutPolicy</code> request, the <code>PolicyUpdateToken</code> in the request must match the <code>PolicyUpdateToken</code> of the current policy version. To get the <code>PolicyUpdateToken</code> of the current policy version, use a <code>GetPolicy</code> request.</p>', ], ], 'ProtectionData' => [ 'base' => NULL, 'refs' => [ 'GetProtectionStatusResponse$Data' => '<p>Details about the attack, including the following:</p> <ul> <li> <p>Attack type</p> </li> <li> <p>Account ID</p> </li> <li> <p>ARN of the resource attacked</p> </li> <li> <p>Start time of the attack</p> </li> <li> <p>End time of the attack (ongoing attacks will not have an end time)</p> </li> </ul> <p>The details are in JSON format. </p>', ], ], 'PutNotificationChannelRequest' => [ 'base' => NULL, 'refs' => [], ], 'PutPolicyRequest' => [ 'base' => NULL, 'refs' => [], ], 'PutPolicyResponse' => [ 'base' => NULL, 'refs' => [], ], 'ResourceArn' => [ 'base' => NULL, 'refs' => [ 'GetNotificationChannelResponse$SnsTopicArn' => '<p>The SNS topic that records AWS Firewall Manager activity. </p>', 'GetNotificationChannelResponse$SnsRoleName' => '<p>The IAM role that is used by AWS Firewall Manager to record activity to SNS.</p>', 'GetPolicyResponse$PolicyArn' => '<p>The Amazon Resource Name (ARN) of the specified policy.</p>', 'ListTagsForResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) of the resource to return tags for. The Firewall Manager policy is the only AWS resource that supports tagging, so this ARN is a policy ARN..</p>', 'PolicySummary$PolicyArn' => '<p>The Amazon Resource Name (ARN) of the specified policy.</p>', 'PutNotificationChannelRequest$SnsTopicArn' => '<p>The Amazon Resource Name (ARN) of the SNS topic that collects notifications from AWS Firewall Manager.</p>', 'PutNotificationChannelRequest$SnsRoleName' => '<p>The Amazon Resource Name (ARN) of the IAM role that allows Amazon SNS to record AWS Firewall Manager activity. </p>', 'PutPolicyResponse$PolicyArn' => '<p>The Amazon Resource Name (ARN) of the policy that was created.</p>', 'TagResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) of the resource. The Firewall Manager policy is the only AWS resource that supports tagging, so this ARN is a policy ARN.</p>', 'UntagResourceRequest$ResourceArn' => '<p>The Amazon Resource Name (ARN) of the resource. The Firewall Manager policy is the only AWS resource that supports tagging, so this ARN is a policy ARN.</p>', ], ], 'ResourceCount' => [ 'base' => NULL, 'refs' => [ 'EvaluationResult$ViolatorCount' => '<p>The number of resources that are noncompliant with the specified policy. For AWS WAF and Shield Advanced policies, a resource is considered noncompliant if it is not associated with the policy. For security group policies, a resource is considered noncompliant if it doesn\'t comply with the rules of the policy and remediation is disabled or not possible.</p>', ], ], 'ResourceId' => [ 'base' => NULL, 'refs' => [ 'ComplianceViolator$ResourceId' => '<p>The resource ID.</p>', ], ], 'ResourceName' => [ 'base' => NULL, 'refs' => [ 'Policy$PolicyName' => '<p>The friendly name of the AWS Firewall Manager policy.</p>', 'PolicyComplianceStatus$PolicyName' => '<p>The friendly name of the AWS Firewall Manager policy.</p>', 'PolicySummary$PolicyName' => '<p>The friendly name of the specified policy.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The specified resource was not found.</p>', 'refs' => [], ], 'ResourceTag' => [ 'base' => '<p>The resource tags that AWS Firewall Manager uses to determine if a particular resource should be included or excluded from the AWS Firewall Manager policy. Tags enable you to categorize your AWS resources in different ways, for example, by purpose, owner, or environment. Each tag consists of a key and an optional value. Firewall Manager combines the tags with "AND" so that, if you add more than one tag to a policy scope, a resource must have all the specified tags to be included or excluded. For more information, see <a href="https://docs.aws.amazon.com/awsconsolehelpdocs/latest/gsg/tag-editor.html">Working with Tag Editor</a>.</p>', 'refs' => [ 'ResourceTags$member' => NULL, ], ], 'ResourceTagKey' => [ 'base' => NULL, 'refs' => [ 'ResourceTag$Key' => '<p>The resource tag key.</p>', ], ], 'ResourceTagValue' => [ 'base' => NULL, 'refs' => [ 'ResourceTag$Value' => '<p>The resource tag value.</p>', ], ], 'ResourceTags' => [ 'base' => NULL, 'refs' => [ 'Policy$ResourceTags' => '<p>An array of <code>ResourceTag</code> objects.</p>', ], ], 'ResourceType' => [ 'base' => NULL, 'refs' => [ 'ComplianceViolator$ResourceType' => '<p>The resource type. This is in the format shown in the <a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-template-resource-type-ref.html">AWS Resource Types Reference</a>. For example: <code>AWS::ElasticLoadBalancingV2::LoadBalancer</code> or <code>AWS::CloudFront::Distribution</code>.</p>', 'Policy$ResourceType' => '<p>The type of resource protected by or in scope of the policy. This is in the format shown in the <a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-template-resource-type-ref.html">AWS Resource Types Reference</a>. For AWS WAF and Shield Advanced, examples include <code>AWS::ElasticLoadBalancingV2::LoadBalancer</code> and <code>AWS::CloudFront::Distribution</code>. For a security group common policy, valid values are <code>AWS::EC2::NetworkInterface</code> and <code>AWS::EC2::Instance</code>. For a security group content audit policy, valid values are <code>AWS::EC2::SecurityGroup</code>, <code>AWS::EC2::NetworkInterface</code>, and <code>AWS::EC2::Instance</code>. For a security group usage audit policy, the value is <code>AWS::EC2::SecurityGroup</code>. </p>', 'PolicySummary$ResourceType' => '<p>The type of resource protected by or in scope of the policy. This is in the format shown in the <a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-template-resource-type-ref.html">AWS Resource Types Reference</a>. For AWS WAF and Shield Advanced, examples include <code>AWS::ElasticLoadBalancingV2::LoadBalancer</code> and <code>AWS::CloudFront::Distribution</code>. For a security group common policy, valid values are <code>AWS::EC2::NetworkInterface</code> and <code>AWS::EC2::Instance</code>. For a security group content audit policy, valid values are <code>AWS::EC2::SecurityGroup</code>, <code>AWS::EC2::NetworkInterface</code>, and <code>AWS::EC2::Instance</code>. For a security group usage audit policy, the value is <code>AWS::EC2::SecurityGroup</code>. </p>', 'ResourceTypeList$member' => NULL, ], ], 'ResourceTypeList' => [ 'base' => NULL, 'refs' => [ 'Policy$ResourceTypeList' => '<p>An array of <code>ResourceType</code>.</p>', ], ], 'SecurityServicePolicyData' => [ 'base' => '<p>Details about the security service that is being used to protect the resources.</p>', 'refs' => [ 'Policy$SecurityServicePolicyData' => '<p>Details about the security service that is being used to protect the resources.</p>', ], ], 'SecurityServiceType' => [ 'base' => NULL, 'refs' => [ 'GetProtectionStatusResponse$ServiceType' => '<p>The service type that is protected by the policy. Currently, this is always <code>SHIELD_ADVANCED</code>.</p>', 'PolicySummary$SecurityServiceType' => '<p>The service that the policy is using to protect the resources. This specifies the type of policy that is created, either an AWS WAF policy, a Shield Advanced policy, or a security group policy.</p>', 'SecurityServicePolicyData$Type' => '<p>The service that the policy is using to protect the resources. This specifies the type of policy that is created, either an AWS WAF policy, a Shield Advanced policy, or a security group policy. For security group policies, Firewall Manager supports one security group for each common policy and for each content audit policy. This is an adjustable limit that you can increase by contacting AWS Support.</p>', ], ], 'Tag' => [ 'base' => '<p>A collection of key:value pairs associated with an AWS resource. The key:value pair can be anything you define. Typically, the tag key represents a category (such as "environment") and the tag value represents a specific value within that category (such as "test," "development," or "production"). You can add up to 50 tags to each AWS resource. </p>', 'refs' => [ 'TagList$member' => NULL, ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'Tag$Key' => '<p>Part of the key:value pair that defines a tag. You can use a tag key to describe a category of information, such as "customer." Tag keys are case-sensitive.</p>', 'TagKeyList$member' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$TagKeys' => '<p>The keys of the tags to remove from the resource. </p>', ], ], 'TagList' => [ 'base' => NULL, 'refs' => [ 'ListTagsForResourceResponse$TagList' => '<p>The tags associated with the resource.</p>', 'PutPolicyRequest$TagList' => '<p>The tags to add to the AWS resource.</p>', 'TagResourceRequest$TagList' => '<p>The tags to add to the resource.</p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'Tag$Value' => '<p>Part of the key:value pair that defines a tag. You can use a tag value to describe a specific value within a category, such as "companyA" or "companyB." Tag values are case-sensitive. </p>', ], ], 'TimeStamp' => [ 'base' => NULL, 'refs' => [ 'GetProtectionStatusRequest$StartTime' => '<p>The start of the time period to query for the attacks. This is a <code>timestamp</code> type. The request syntax listing indicates a <code>number</code> type because the default used by AWS Firewall Manager is Unix time in seconds. However, any valid <code>timestamp</code> format is allowed.</p>', 'GetProtectionStatusRequest$EndTime' => '<p>The end of the time period to query for the attacks. This is a <code>timestamp</code> type. The request syntax listing indicates a <code>number</code> type because the default used by AWS Firewall Manager is Unix time in seconds. However, any valid <code>timestamp</code> format is allowed.</p>', 'PolicyComplianceDetail$ExpiredAt' => '<p>A timestamp that indicates when the returned information should be considered out of date.</p>', 'PolicyComplianceStatus$LastUpdated' => '<p>Timestamp of the last update to the <code>EvaluationResult</code> objects.</p>', ], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'ViolationReason' => [ 'base' => NULL, 'refs' => [ 'ComplianceViolator$ViolationReason' => '<p>The reason that the resource is not protected by the policy.</p>', ], ], ],];
